var calculator = {
   display: null,

   prevOperation: null,
   afterOperation: false,
   result: null,

   digitClick: function(digit) {
       if (this.display.text() == '0' || this.afterOperation)
         this.display.text(digit);
       else
         this.display.append(digit);
       this.afterOperation = false;
   },

   operatorClick: function(operation) {
      if (this.afterOperation)
             return;

      var operand = parseFloat(this.display.text());
      if (this.prevOperation == null) {
         this.result = operand;
      } else {
         switch(this.prevOperation) {
             case '+':
                 this.result += operand;
                 break;
             case '-':
                 this.result -= operand;
                 break;
             case '*':
                 this.result *= operand;
                 break;
             case '/':
                 this.result /= operand;
                 break;
         }
      }

      if (operation == '=') {
          this.display.text(this.result);
          this.result = 0;
          this.prevOperation = null;
      } else {
          this.prevOperation = operation;
      }
      this.afterOperation = true;
   },

   resetClick: function() {
      this.display.text("0");
      this.result = 0;
      this.afterOperation = false;
      this.prevOperation = null;
   },

   init: function() {
     this.display =  $("#calculatorResult");

     $("#calculatorKeyboard .digit").click(
	 function() { 
	     calculator.digitClick($(this).text()); 
	 }
     );

     $("#calculatorKeyboard .operator").click(
	 function() { 
	     calculator.operatorClick($(this).text()); 
	 }
     );
     
     $("#calculatorKeyboard .reset").click(
	   function() { 
	       calculator.resetClick(); 
	   }
     );
   }
};

$(document).ready(function () {
      calculator.init();
  }
);
