/*
   Anonimne funkcije u JavaScript-u
   function() { ... } 
*/

/* Kada se dokument ucita, poziva se anonimna funkcija zadata kao parametar
   metoda ready */
$(document).ready(function() {

    /* Kada korisnik klikne na neki h2 element, sakriva ili prikazuje
     * div ispod njega. Parametar metoda .click(...) je anonimna
     * funkcija. */
    $("h2").click(function() {
	/* $(this) je objekat koji odgovara elementu h2 na koji je kliknuto */
        /* Metodom .next() dobijamo njemu sledeci element (div koji se
	 * sakriva) */
        /* Metod .slideToggle(...) prouzrokuje klizanje na gore ili na dole */
        $(this).next().slideToggle("slow");
    });

    /* Kada korisnik dvostruko klikne na pasus, menja se njegova
     * vizuelna prezentacija. */
    $("p").dblclick(
	function() {
	    /* Pasusu na koji je kliknuto se dodaje ili uklanja CSS klasa large */
            $(this).toggleClass("large");
	}
    );

    /* Kada korisnki klikne na malu slicicu, iznad nje se prikazuje
     * odgovarajuca velika slika. Male slicice se nalaze u okviru div
     * elementa sa identifikatorom #thumbs. */
    $("#thumbs img").click(
	function() {
	    /* Objekat slike koja se menja */
	    var img = $("#image img");
	    /* Nalazimo vrednost atributa src slicice na koju se
	     * kliknulo, a onda u njemu uklanjamo nisku "thumb_". */
	    var src = $(this).attr("src").replace("thumb_", "");
	    /* Metodom fadeOut() se postize da stara slika polako
	       nestane. Drugi parametar je anonimna funkcija u kojoj
	       se menja slika i onda se poziva fadeIn() koja uzrokuje
	       da se nova slika polako pojavi.
	    */
	    img.fadeOut("slow", 
                  function() {
	             img.attr("src", src);
	             img.fadeIn("slow");
                  });   
	}
    );
});
